Type to search.

Capture diagnostics for an Elasticsearch or Kibana resource

Auth

Retrieves a diagnostic bundle from an active cluster. To successfully retrieve a diagnostic bundle, the cluster must be responsive.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind string required

The kind of resource (one of elasticsearch or kibana).

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

mode enum · default: full

Capture mode - whether to obtain all the diagnostics data or the lightweight, essential-only subset of it. Applicable only to Elasticsearch, ignored for any other components which have just one capture mode implemented.

Values: full light

Responses

The diagnostic bundle as a zip file

application/json

Response Type: string · format: byte